params_hook:
  - name: GIT_REPO_URL
    value: $(tt.params.GitRepoUrl)
  - name: GIT_REVISION
    value: $(tt.params.GitRevision)
  - name: GIT_MERGE_IID
    value: $(tt.params.GitMergeIid)
  - name: GIT_SOURCE_PROJECT_ID
    value: $(tt.params.GitSourceProjectId)
  - name: GIT_TARGET_PROJECT_ID
    value: $(tt.params.GitTargetProjectId)
  - name: GIT_TARGET_REPO_URL
    value: $(tt.params.GitTargetRepoUrl)
  - name: GIT_RELEASE_TAG
    value: $(tt.params.GitReleaseTag)
  - name: GIT_COMMIT_BEFORE
    value: $(tt.params.GitCommitBefore)
  - name: GIT_COMMIT_AFTER
    value: $(tt.params.GitCommitAfter)

params_default:
  - name: GIT_REPO_URL
    description: webhook source git repo url
    default: "{{ GitRepoUrl | default(ci_repo_url) }}"
  - name: GIT_REVISION
    description: webhook git repo revision
    default: "{{ GitRevision | default('None') }}"
  - name: GIT_MERGE_IID
    description: webhook git repo merge id
    default: "{{ GitMergeIid | default('None') }}"
  - name: GIT_SOURCE_PROJECT_ID
    description: webhook git source project id
    default: "{{ GitSourceProjectId | default('None') }}"
  - name: GIT_TARGET_PROJECT_ID
    description: webhook git target project id
    default: "{{ GitTargetProjectId | default('None') }}"
  - name: GIT_TARGET_REPO_URL
    description: webhook target git repo url
    default: "{{ GitTargetRepoUrl | default(ci_repo_url) }}"
  - name: GIT_RELEASE_TAG
    description: The tag for which the product-build should be created
    default: "main"
  - name: GIT_COMMIT_BEFORE
    description: product build git commit before
    default: "{{ GitCommitBefore | default('None') }}"
  - name: GIT_COMMIT_AFTER
    description: product build git commit after
    default: "{{ GitCommitAfter | default('None') }}"
  - name: CI_REPO_URL
    description: ci git repo url
    default: "{{ ci_repo_url }}"
  - name: CI_REVISION
    description: ci git repo revision
    default: "{{ ci_revision }}"
  - name: CI_PIPELINERUN_ID
    default: $(context.pipelineRun.uid)
  - name: CI_PIPELINERUN_NAME
    default: $(context.pipelineRun.name)
  - name: SSL_VERIFY
    description: enable or disable ssl verification
    default: "{{ ssl_verify }}"
  - name: CI_REPOS_ENDPOINT
    default: "{{ ci_repos_endpoint }}"
  - name: CI_IMAGES_ENDPOINT
    default: "{{ ci_images_endpoint }}"
  - name: CI_LOGS_ENDPOINT
    default: "{{ ci_logs_endpoint }}"
  - name: PRODUCT_REPOS_ENDPOINT
    default: "{{ product_repos_endpoint }}"
  - name: PRODUCT_IMAGES_ENDPOINT
    default: "{{ product_images_endpoint }}"
  - name: PRODUCT_LOGS_ENDPOINT
    default: "{{ product_logs_endpoint }}"
  - name: GITLAB_HOST_URL
    default: "{{ gitlab_host_url }}"
  - name: AWS_BUCKET_REPOS
    default: "{{ aws_bucket_repos }}"
  - name: AWS_BUCKET_IMAGES
    default: "{{ aws_bucket_images }}"
  - name: AWS_BUCKET_LOGS
    default: "{{ aws_bucket_logs }}"
  - name: AWS_PRODUCT_BUILD_BUCKET_REPOS
    default: "{{ aws_product_build_bucket_repos }}"
  - name: AWS_PRODUCT_BUILD_BUCKET_IMAGES
    description: s3 bucket for sample images from product build
    default: "{{ aws_product_build_bucket_images }}"
  - name: AWS_REGION
    default: "{{ aws_region }}"
  - name: AWS_TF_REGION
    default: "{{ aws_tf_region }}"
  - name: AWS_TF_ACCOUNT_ID
    default: "{{ aws_tf_account_id }}"
  - name: STREAM
    default: "{{ stream }}"
  - name: PRODUCT_BUILD_NAME
    default: "{{ product_build_name }}"
  - name: API_PATH_PREFIX
    default: "/api/v4"
  - name: SHA
    default: "None"
  - name: PROJECT_ID
    default: "None"
  - name: DESCRIPTION
    default: "None"
  - name: STATE
    default: "None"
  - name: SKIPPED
    default: "None"
  - name: NAME
    default: "None"
  - name: TASKRUN_LOG_NAME
    default: "None"
  - name: PIPELINE_TASK_NAME
    default: "None"
  - name: TMT_PLAN
    default: "/ci/create-osbuild"
  - name: ARCH
    default: "None"
  - name: OS_PREFIX
    default: "{{ os_prefix }}"
  - name: OS_VERSION
    default: "{{ os_version }}"
  - name: PACKAGE_SET
    default: "{{ os_prefix + os_version }}"
  - name: PRODUCT_BUILD_PREFIX
    default: "{{ product_build_prefix }}"
  - name: ACTION
    default: "BUILD"
  - name: BUILD_TYPE
    default: "osbuild"
  - name: IMAGE_NAME
    default: "None"
  - name: IMAGE_TYPE
    default: "ostree"
  - name: IMAGE_KEY
    default: "None"
  - name: SAMPLE_IMAGE
    default: "no"
  - name: TEST_IMAGE
    default: "no"
  - name: TARGET
    default: "qemu"
  - name: TASK_NAME
    default: "None"
  - name: BUILD_SKIPPED
    default: "no"
  - name: TASKS
    type: array
    default:
      - create-yum-repo
      - fusa-quality-gate
      - create-osbuild-cs9-aarch64
      - create-osbuild-cs9-aarch64-qa
      - create-osbuild-cs9-x86-64
      - create-osbuild-rpi-cs9-aarch64-minimal-ostree
      - run-smoke-tests-aarch64
      - run-systemd-tests-aarch64
      - create-osbuild-qemu-autosd-aarch64-minimal-ostree
      - create-osbuild-qemu-autosd-x86-64-minimal-ostree
      - create-osbuild-rpi-cs9-aarch64-minimal-regular
      - create-osbuild-qemu-cs9-aarch64-qa-ostree
      - create-osbuild-qemu-cs9-x86-64-qa-ostree
  - name: LOG_NAME
    default: "None"
  - name: TF_OS_OPTIONS
    default: "{{ tf_os_options }}"
  - name: TF_DISTRO_NAME
    default: "{{ tf_distro_name }}"
  - name: TF_COMPOSE
    default: "{{ tf_compose }}"
  - name: TF_FORMAT
    default: "{{ tf_format }}"
  - name: SSH_KEY
    default: "None"
  - name: TF_SSH_KEY
    default: "{{ tf_ssh_key }}"
  - name: QE_SSH_KEY
    default: "{{ qe_ssh_key }}"
  - name: PS_SSH_KEY
    default: "{{ ps_ssh_key }}"
  - name: REPO_MIRRORS_URLS
    default: "{{ repo_mirrors_urls }}"
  - name: KOJI_MIRRORS_URLS
    default: "{{ koji_mirrors_urls }}"
  - name: UUID
    default: $(context.pipelineRun.uid)
  - name: REF
    default: "{{ ci_revision }}"
  - name: REPO_URL
    default: "{{ GitRepoUrl | default('None') }}"
  - name: REVISION
    default: "{{ GitRevision | default('None') }}"
  - name: REPOS_ENDPOINT
    default: "None"
  - name: ADD_CLUSTER_LINK
    default: "None"
  - name: DOWNSTREAM_COMPOSE_URL
    default: "{{ downstream_compose_url }}"
  - name: TIMESTAMP
    default: "None"  # Expecting date string %Y-%m-%d-%H-%M
    # Needs to be an empty string to by default not have a prefix effect on sync-to-aws.sh
  - name: S3_UPLOAD_PREFIX
    default: ""
  - name: SET_STATUS_DESCRIPTIONS
    type: array
    default:
      - ""
  - name: SET_STATUS_STATES
    type: array
    default:
      - ""
  - name: TASKRUN_LOG_NAMES
    type: array
    default:
      - ""

params_task:
  - name: GIT_REPO_URL
    value: $(params.GIT_REPO_URL)
  - name: GIT_REVISION
    value: $(params.GIT_REVISION)
  - name: GIT_MERGE_IID
    value: $(params.GIT_MERGE_IID)
  - name: GIT_SOURCE_PROJECT_ID
    value: $(params.GIT_SOURCE_PROJECT_ID)
  - name: GIT_TARGET_PROJECT_ID
    value: $(params.GIT_TARGET_PROJECT_ID)
  - name: GIT_TARGET_REPO_URL
    value: $(params.GIT_TARGET_REPO_URL)
  - name: GIT_RELEASE_TAG
    value: $(params.GIT_RELEASE_TAG)
  - name: GIT_COMMIT_BEFORE
    value: $(params.GIT_COMMIT_BEFORE)
  - name: GIT_COMMIT_AFTER
    value: $(params.GIT_COMMIT_AFTER)
  - name: CI_REPO_URL
    value: $(params.CI_REPO_URL)
  - name: CI_REVISION
    value: $(params.CI_REVISION)
  - name: CI_PIPELINERUN_ID
    value: $(params.CI_PIPELINERUN_ID)
  - name: CI_PIPELINERUN_NAME
    value: $(params.CI_PIPELINERUN_NAME)

env_taskspec:
  - name: GIT_REPO_URL
    value: $(params.GIT_REPO_URL)
  - name: GIT_REVISION
    value: $(params.GIT_REVISION)
  - name: GIT_MERGE_IID
    value: $(params.GIT_MERGE_IID)
  - name: GIT_SOURCE_PROJECT_ID
    value: $(params.GIT_SOURCE_PROJECT_ID)
  - name: GIT_TARGET_PROJECT_ID
    value: $(params.GIT_TARGET_PROJECT_ID)
  - name: GIT_TARGET_REPO_URL
    value: $(params.GIT_TARGET_REPO_URL)
  - name: GIT_RELEASE_TAG
    value: $(params.GIT_RELEASE_TAG)
  - name: GIT_COMMIT_BEFORE
    value: $(params.GIT_COMMIT_BEFORE)
  - name: GIT_COMMIT_AFTER
    value: $(params.GIT_COMMIT_AFTER)
  - name: CI_REPO_URL
    value: $(params.CI_REPO_URL)
  - name: CI_REVISION
    value: $(params.CI_REVISION)
  - name: CI_PIPELINERUN_ID
    value: $(params.CI_PIPELINERUN_ID)
  - name: CI_PIPELINERUN_NAME
    value: $(params.CI_PIPELINERUN_NAME)
  - name: SSL_VERIFY
    value: $(params.SSL_VERIFY)
  - name: CI_IMAGES_ENDPOINT
    value: $(params.CI_IMAGES_ENDPOINT)
  - name: CI_REPOS_ENDPOINT
    value: $(params.CI_REPOS_ENDPOINT)
  - name: CI_LOGS_ENDPOINT
    value: $(params.CI_LOGS_ENDPOINT)
  - name: PRODUCT_IMAGES_ENDPOINT
    value: $(params.PRODUCT_IMAGES_ENDPOINT)
  - name: PRODUCT_REPOS_ENDPOINT
    value: $(params.PRODUCT_REPOS_ENDPOINT)
  - name: PRODUCT_LOGS_ENDPOINT
    value: $(params.PRODUCT_LOGS_ENDPOINT)
  - name: GITLAB_HOST_URL
    value: $(params.GITLAB_HOST_URL)
  - name: AWS_BUCKET_REPOS
    value: $(params.AWS_BUCKET_REPOS)
  - name: AWS_BUCKET_IMAGES
    value: $(params.AWS_BUCKET_IMAGES)
  - name: AWS_BUCKET_LOGS
    value: $(params.AWS_BUCKET_LOGS)
  - name: AWS_PRODUCT_BUILD_BUCKET_REPOS
    value: $(params.AWS_PRODUCT_BUILD_BUCKET_REPOS)
  - name: AWS_PRODUCT_BUILD_BUCKET_IMAGES
    value: $(params.AWS_PRODUCT_BUILD_BUCKET_IMAGES)
  - name: AWS_REGION
    value: $(params.AWS_REGION)
  - name: AWS_TF_REGION
    value: $(params.AWS_TF_REGION)
  - name: AWS_TF_ACCOUNT_ID
    value: $(params.AWS_TF_ACCOUNT_ID)
  - name: API_PATH_PREFIX
    value: $(params.API_PATH_PREFIX)
  - name: SHA
    value: $(params.SHA)
  - name: PROJECT_ID
    value: $(params.PROJECT_ID)
  - name: DESCRIPTION
    value: $(params.DESCRIPTION)
  - name: STATE
    value: $(params.STATE)
  - name: SKIPPED
    value: $(params.SKIPPED)
  - name: NAME
    value: $(params.NAME)
  - name: TASKRUN_LOG_NAME
    value: $(params.TASKRUN_LOG_NAME)
  - name: UUID
    value: $(params.CI_PIPELINERUN_ID)
  - name: REF
    value: $(params.CI_REVISION)
  - name: REPO_URL
    value: $(params.GIT_REPO_URL)
  - name: REVISION
    value: $(params.GIT_REVISION)
  - name: PIPELINE_TASK_NAME
    value: $(params.PIPELINE_TASK_NAME)
  - name: TMT_PLAN
    value: $(params.TMT_PLAN)
  - name: ARCH
    value: $(params.ARCH)
  - name: OS_VERSION
    value: $(params.OS_VERSION)
  - name: ACTION
    value: $(params.ACTION)
  - name: BUILD_TYPE
    value: $(params.BUILD_TYPE)
  - name: IMAGE_NAME
    value: $(params.IMAGE_NAME)
  - name: IMAGE_TYPE
    value: $(params.IMAGE_TYPE)
  - name: PACKAGE_SET
    value: $(params.PACKAGE_SET)
  - name: PRODUCT_BUILD_PREFIX
    value: $(params.PRODUCT_BUILD_PREFIX)
  - name: SAMPLE_IMAGE
    value: $(params.SAMPLE_IMAGE)
  - name: TEST_IMAGE
    value: $(params.TEST_IMAGE)
  - name: IMAGE_KEY
    value: "auto-\
      $(params.BUILD_TYPE)-\
      $(params.TARGET)-\
      $(params.IMAGE_NAME)-\
      $(params.IMAGE_TYPE)-\
      $(params.ARCH)-\
      $(params.CI_PIPELINERUN_ID)"
  - name: TARGET
    value: $(params.TARGET)
  - name: TASK_NAME
    value: $(params.TASK_NAME)
  - name: BUILD_SKIPPED
    value: $(params.BUILD_SKIPPED)
  - name: LOG_NAME
    value: $(params.LOG_NAME)
  - name: OS_PREFIX
    value: $(params.OS_PREFIX)
  - name: TF_OS_OPTIONS
    value: $(params.TF_OS_OPTIONS)
  - name: TF_DISTRO_NAME
    value: $(params.TF_DISTRO_NAME)
  - name: TF_COMPOSE
    value: $(params.TF_COMPOSE)
  - name: TF_FORMAT
    value: $(params.TF_FORMAT)
  - name: SSH_KEY
    value: $(params.SSH_KEY)
  - name: TF_SSH_KEY
    value: $(params.TF_SSH_KEY)
  - name: QE_SSH_KEY
    value: $(params.QE_SSH_KEY)
  - name: PS_SSH_KEY
    value: $(params.PS_SSH_KEY)
  - name: REPO_MIRRORS_URLS
    value: $(params.REPO_MIRRORS_URLS)
  - name: KOJI_MIRRORS_URLS
    value: $(params.KOJI_MIRRORS_URLS)
  - name: STREAM
    value: "{{ stream }}"
  - name: ADD_CLUSTER_LINK
    value: $(params.ADD_CLUSTER_LINK)
  - name: DOWNSTREAM_COMPOSE_URL
    value: "{{ downstream_compose_url }}"
  - name: TIMESTAMP
    value: $(params.TIMESTAMP)
  - name: S3_UPLOAD_PREFIX
    value: $(params.S3_UPLOAD_PREFIX)
